# /* configure */
# /* $Id: configuration.inc,v 1.17 2004/05/18 15:38:32 izzy Exp $ */

[title]
Einleitung

[text]
In diesem Formular lassen sich generelle Einstellungen fr phpVideoPro
vornehmen, wie z.B. Sprach- und Farbeinstellungen. Einige der hier beschriebenen
Optionen sind nur ber den Aufruf des Konfigurations-Formulars ber das "Admin"
Men verfgbar, da es sich um Eigenschaften handelt, die nur der Administrator
bearbeiten sollte. Andere hingegen sind eher als benutzerabhngige Prferenzen
zu betrachten und daher auch ber das Standard-Men zu erreichen.

[text]
phpVideoPro verwendet Cookies zur Verwaltung der Preferences (persnlichen
Einstellungen, wie Filter, Template-Set, Datenstze pro Seite bei Listen etc.).
Um diese Funktion zu nutzen, muss die Schaltflche "*enable_cookies#" aktiviert
sein. ber das "*Admin#" Men wird unter "*configuration#" die Konfiguration
verwaltet, und es werden die Default-Einstellungen fr die Preferences hier
vorgenommen. Diese werden bei "neuen" Benutzern sodann aus der Datenbank
geladen. nderungen, die der Benutzer sodann unter "*edit#" -&gt;
"*preferences#" vornimmt, werden in Cookies gespeichert und auch, sofern
gespeicherte Cookies vorhanden sind, aus diesen geladen. Die Standard Filter
Einstellungen werden ber "*admin#" -&gt; "*admin_filter#" vorgenommen. Damit
nur authorisierte Benutzer Zugriff auf Konfiguration und Default-Einstellungen
haben, sind die entsprechenden Administrationsseiten ber das Session-Management
geschtzt: nur mit der "Admin" Berechtigung kann hier Zugriff erlangt werden.
Auch wenn das Administrationsmen ohne diese Berechtigung berhaupt nicht
angezeigt wird, wird selbige auf den jeweiligen Seiten nochmals berprft: sie
lsst sich also nicht einfach durch die direkte Angabe der URL umgehen.

[title]
*language_settings#

[text]
<b>*scan_new_lang_files#:</b> Zur Speicherung der fr das bersetzungsmodul
bentigten Daten verwendet phpVideoPro seine Datenbank. Will man also eine
neue Sprache hinzufgen, muss die entsprechende Sprachdatei (eine Textdatei,
die die bentigten SQL Statements hierfr enthlt) importiert werden. Dazu
muss diese dem System zunchst bekannt gemacht werden - dies geschieht durch
das Aktivieren dieser Box (und natrlich anschlieendes Versenden des Formulars).
Die weiteren Schritte folgen unten. Wie eine neue Sprachdatei (z.B. fr eine
neue Sprache, die bislang noch nicht von phpVideoPro untersttzt wird) erstellt
werden kann, findet sich in der Hilfe zum Punkt "<A HREF="{PHP_SELF}?topic=howto_lang">*howto_lang#</A>".

[text]
<b>*select_add_lang#:</b> Natrlich knnen hier nur verfgbare Sprachen
ausgewhlt werden (das sind jene, zu denen bereits eine Sprachdatei existiert) -
phpVideoPro gehrt nicht in die Kategorie "KI" und kann daher nicht mal eben
eine neue Sprache selbst erfinden :) Um die bersetzungen fr eine bereits
installierte Sprache zu aktualisieren, gibt es den nchsten Punkt.

[text]
<b>*refresh_lang#:</b> Steht eine neuere Version einer bereits installierten
Sprachdatei zur Verfgung (oder hat man selbst eine vorhandene Sprachdatei
angepasst), knnen hiermit die entsprechenden Eintrge in der Datenbank
aktualisiert werden. Dabei werden alle bestehenden Eintrge fr die ausgewhlte
Sprache zunchst aus der Datenbank gelscht, und sodann die Eintrge aus der
Sprachdatei importiert. Die Mglichkeit, bestehende Eintrge beizubehalten, und
nur neue zu importieren, gibt es derzeit noch nicht.

[text]
<b>*delete_lang#:</b> Sei es zu Testzwecken, fr eine Prsentation fr
fremdsprachige Freunde/Bekannte, oder einfach nur so: manchmal kommt man an den
Punkt, einfach bersetzungen fr zu viele Sprachen installiert zu haben, und
mchte nun endlich wieder Ordnung schaffen. Dafr ist dies der richtige Platz:
Fr die ausgewhlte Sprache werden alle bersetzungen aus der Datenbank entfernt,
wobei die Sprachdatei selbst nicht berhrt wird. Sind nderungen an den
jeweiligen bersetzungen gemacht worden (z.B. mit Hilfe des eingebauten
Translation-Editors), sollten diese allerdings mit selbigem zuvor in eine
Datei gesichert werden. So lt sich sicherstellen, die bersetzungen zu einem
beliebigen zuknftigen Zeitpunkt wieder re-installieren zu knnen. Hinweis: die
Englischen bersetzungen knnen nicht gelscht werden - sie werden als "FallBack"
fr alle anderen Sprachen bentigt.

[text]
<b>*select_primary_lang#:</b> Aus den vorhandenen Sprachen kann eine als
"Primrsprache" ausgewhlt werden. Das heit, phpVideoPro versucht alle
Bildschirmausgaben in dieser Sprache durchzufhren. Ist die bersetzung fr
eine Phrase nicht in der "Primrsprache" vorhanden, wird in den Englischen
bersetzungen gesucht. Schlgt auch dies fehl, taucht ein "Sprachcode" des
Programmierers auf - sollte dies nicht auf einen Benutzerfehler (wie etwa eine
gelschte Englische Sprache) zurckzufhren sein, erbitte ich eine
Nachricht an mich, damit ich den Fehler beheben kann!

[title]
*config_media#

[text]
<b>*rw_media#:</b> Fr Medien wie z.B. Original-Videokassetten oder DVDs macht
es wenig Sinn, "Bandreste" zu verwalten - weil es einfach keine gibt. Bei
anderen Medien wiederum, wie z.B. selbst bespielten Videokassetten, gehrt die
Verwaltung verbleibender freier Zeit zu den elementaren Funktionen, die von
einer Software wie phpVideoPro (mit Recht) erwartet werden. Manch einer erstellt
sich seine VideoCDs selbst, ein anderer kauft sie ausschlielich. In einigen
mittlerweile gar nicht mehr so seltenen Fllen erstellen Anwender gar ihre DVDs
selbst, und bentigen daher auch fr diese die Restzeit-Verwaltung. Um jedem
gerecht zu werden, ist dieser Punkt konfigurierbar. Es sind hier also die
Medien zu markieren, fr die Restzeiten verwaltet (und angezeigt) werden sollen.

[text]
<b>*remove_empty_media#:</b> Auch hier soll unterschiedlichen Vorgehensweisen
Rechnung getragen werden: Manch einer lscht keine Aufnahmen, sondern berspielt
sie allenfalls gelegentlich. Wenn dieser Mensch also Eintrge aus der Datenbank
lscht, heit das fr ihn: das Medium existiert nicht mehr (verschenkt oder
weggeworfen). Ein anderer lscht hingegen die Eintrge aus der Datenbank, damit
er bei nchster Gelegenheit die ungewnschte Aufnahme berspielen kann (weil
ihm die Restzeit-Anzeige sodann dieses Medium vorschlagen wird). Je nach
gewnschter Vorgehensweise kann hier also angegeben werden, was passieren soll,
wenn der letzte Eintrag fr ein Medium entfernt wird: ist die Box markiert,
wird sodann auch das Medium aus der Restzeit-Tabelle entfernt (steht also fr
die Restzeit-Suche nicht mehr zur Verfgung) - andernfalls wird fr die
Restzeit-Suche die gesamte Kapazitt des Mediums bercksichtigt.

[text]
<b>*movie_onlabel_default#:</b> Wenn jemand die letzten 10..20 Minuten seiner
Videokassetten gern mit ein paar VideoClips von MTV fllt, mchte er diese
Clips nicht unbedingt auch auf dem Label stehen haben - sonst knnten diese
Label teilweise recht unbersichtlich werden. Daher lt sich fr jeden Eintrag
einstellen, ob dessen Informationen bei Generierung eines Labels fr das
betreffende Medium eingeschlossen werden sollen. Hier lt sich festlegen, wie
die Einstellung fr neue Eintrge vorbelegt sein soll.

[text]
<b>*movie_tone_default#:</b> Bislang war das immer "Mono" - aber ich denke, das
ist kaum mehr der richtige Wert. Der hier eingestellte Wert wird als Vorgabe
fr neue Eintrge verwendet. Wer also ausschlielich (oder berwiegend) DVDs
mit Dolby 5.1 erwirbt, sollte hier auch Dolby 5.1 einstellen.

[text]
<b>*movie_color_default#:</b> Heutzutage werden die meisten Filme in Farbe
ausgestrahlt - daher ist es natrlich auch sinnvoll, wenn dies die
Voreinstellung fr neue Eintrge ist. Andernfalls mag es unter den Anwendern
auch solche geben, die berwiegend Filme aus den Zwanziger Jahren sammeln,
welche freilich in schwarz/wei sind. In diesem Fall wre es natrlich
wnschenswert, die Voreinstellung entsprechend anzupassen. Dies kann hier
geschehen.

[title]
*cookies#

[text]
<b>*enable_cookies#:</b> Ist diese Schaltflche nicht aktiviert, werden keine
Cookies verwendet. Das heit dann allerdings auch, das nderungen, die ein
Benutzer im Men "*edit#" -&gt; "*preferences#" vornimmt, ebenfalls in die
Datenbank geschrieben werden, und somit die Voreinstellungen berschreiben.
Gleiches gilt auch fr die Filtereinstellungen. Mit anderen Worten: phpVideoPro
verhlt sich damit wie in seinen ersten Versionen, und es kann zu Problemen
fhren, sollten mehrere Benutzer dieselbe Installation simultan verwenden. Fr
eine Einzelplatz-Installation kann jedoch genau dieses Verhalten erwnscht sein.

[text]
<b>*expire_cookies#:</b> Hiermit wird definiert, nach welchem Zeitraum erstellte
Cookies auf dem System des Benutzers wieder gelscht werden. Wird hier
"*session#" gewhlt, verbleiben die Cookies nur solange auf dem System, bis der
Benutzer seinen Browser wieder schliet. In den anderen Fllen bleiben sie fr
den jeweils angegebenen Zeitraum aktiv.

[text]
<b>*session_purgetime#:</b> Wenn sich ein Benutzer bei phpVideoPro anmeldet,
werden ihm/ihr zustzliche Rechte eingerumt, die dem entsprechenden Konto
zugewiesen wurden - dies kann z.B. das Bearbeiten und/oder Lschen von Daten
beinhalten. Verlt dieser Benutzer nun z.B. seinen Arbeitsplatz, ohne sich
zuvor abzumelden, besteht die Gefahr, dass jemand anderes seine Sitzung benutzt
und Daten manipuliert. Um dieses Risiko mglichst gering zu halten, bietet
phpVideoPro die Option, eine inaktive Sitzung nach einem definierten Zeitraum
zu lschen. Die vom Benutzer in seinen "Keksen" gespeicherten Einstellungen
sind hiervon nicht betroffen: er/sie wird lediglich vom System abgemeldet, und
verfgt somit (bis zu einer erneuten Anmeldung) lediglich noch ber die Rechte
des Gast-Kontos.

[title]
*general#

[text]
<b>*template_set#:</b> Das Design betreffend basiert phpVideoPro auf Templates.
Hier lsst sich das gewnschte Template-Set auswhlen, und phpVideoPro erhlt
auf diese Weise eine "neue Haut" ("Skins", wie sie auch von Programmen wie
XMMS bzw. WinAmp bekannt sein drften).

[text]
<b>*imdb_url#:</b> Die Internet Movie DataBase bietet umfangreiche Daten fr
viele Filme. Diese knnen aus phpVideoPro heraus einfach abgerufen werden, indem
im Betrachtungsmodus eines Filmeintrages auf den Button des Titels oder des
Crew-Mitglieds geklickt wird. Whrend die Namen der Crewmitglieder sich fr
gewhnlich nicht ndern, kann der Filmtitel bei synchronisierten Fassungen
durchaus vom "Original-Titel" abweichen - was sodann eine manuelle Suche auf
der IMDB Site erforderlich macht. Eine hhere Trefferwahrscheinlichkeit lsst
sich daher erreichen, wenn hier eine Site ausgewhlt wird, die mit der
hufigsten Sprachversion der in phpVideoPro gespeicherten Filmtitel berein
stimmt - fr Deutschland wre dies die deutsche IMDB Site.
[text]
Leider gibt es noch nicht fr alle Sprachen eine eigene IMDB Site. Die mir
bekannten Sites sind bereits als Optionen verfgbar - wenn jemand weitere Sites
kennt, bitte ich um eine kurze Notiz, damit ich sie ebenfalls einpflegen kann!


[text]
<b>*printer#:</b> Um eine exakte Positionierung der Etiketten auf den zu
verwendenden Label-Sheets gewhrleisten zu knnen, mssen die genauen
Seitenrnder des zu verwendenden Druckers bekannt sein. Ist der gewnschte
Drucker in der Liste nicht enthalten, kann zunchst einer der vorhandenen
"getestet" werden: manche Drucker sind bezglich Ihrer "Rand-Einstellungen"
kompatibel (so viele Mglichkeiten gibt es ja auch nicht). Ist ein "kompatibler"
Drucker dabei, wre eine Nachricht an mich hilfreich mit Angabe des genutzten
und des ausgewhlten Druckers. Zuknftige Versionen von phpVideoPro knnten
dann eine "Drucker-Kompatibilitts-Liste" enthalten.<BR>
Passt keine der vorhandenen Druck-Einstellungen, muss Wohl oder bel ein neuer
Drucker in die Datenbank eingetragen werden. Das hierfr zu verwendende Formular
findet sich im Administrations-Men unter dem Punkt <i>*admin_printers#</i>
(nheres siehe <i><A HREF="{PHP_SELF}?topic=admin_printers">hier</A></i>).

[text]
<b>*display_limit#:</b> ltere Versionen von phpVideoPro zeigten Listen, wie
z.B. unter dem Menpunkt "*medialist#" zu finden, stets in voller Lnge, d.h.
mit allen Datenstzen an. Bei umfangreichen Datensammlungen fhrte dies nicht
nur zu langen Ladezeiten, sondern konnte durchaus auch recht unbersichtlich
werden. Daher lassen sich diese Listen nun in mehrere "Hppchen" unterteilen.
Die Gre dieser "Hppchen" lsst sich mit diesem Punkt einstellen: er gibt an,
wie viele Zeilen die jeweilige Tabelle haben soll. Innerhalb der Listen ist eine
Navigation mittels vier Buttons mglich: diese fhren jeweils zur ersten/letzten
bzw. vorigen/nchsten Seite.

[text]
Zugegebenermaen scheint es bei den Besetzungslisten (Darsteller, Regisseure
etc.) zu kleinen Ungereimtheiten zu kommen, und die Anzahl der Zeilen kann
nicht nur vom eingestellten "*display_limit#" abweichen, sondern auerdem auch
von Seite zu Seite differieren. Dies liegt daran, dass hier die "Hppchen-Gre"
auf die Anzahl der Personen angewendet wird. Diese knnen aber durchaus auch als
"nicht anzuzeigen" erfat sein (Option "*in_list#" im "*edit#" Formular).

[text]
<b>*lines_per_page#:</b> Diese Angabe dient den Vorbereitungen fr den
Listendruck und gibt an, wie viele Zeilen (reinen ASCII) Textes auf ein Blatt
Papier passen. Einmal an dieser Stelle festgelegt, wird dieser Wert bei jedem
Aufruf des Menpunktes "*listgen#" (siehe <A HREF="{PHP_SELF}?topic=listgen">dort</A>)
als Standard vorgegeben, kann dort jedoch auch jedesmal angepasst werden.

[text]
<b>*date_format#:</b> In welchem Format sollen Datumsangaben prsentiert werden.
Mglicherweise wird dieses Format noch nicht in allen Mens, Formulare und
Listen bercksichtigt. Sollte dies jemandem auffallen, bitte ich um einen kurzen
Hinweis zwecks Korrektur (ich wrde an dieser Stelle ja ein kostenloses Update
als Preis anbieten - aber angesichts der Lizenz dieses Produktes nhme das
ohnehin niemand ernst :)

[text]
<b>*site_info#:</b> Whrend der Beginn der Titelzeile des Browserfensters
generell dem Muster "phpVideoPro v&lt;Version&gt;" und das Ende derselben " [
&lt;Job&gt; ]" folgt, lsst sich der Teil dazwischen an dieser Stelle
konfigurieren: "@ &lt;site_info&gt;" wird sodann dazwischen eingefgt. Dies ist
z.B. hilfreich zur Orientierung, wenn man verschiedene Installationen zur
selben Zeit in verschiedenen Browser-Fenstern geffnet hat.

[eof]

