# /* add_entry */
# /* $Id: add_entry.inc,v 1.10 2004/05/18 14:00:06 izzy Exp $ */

[title]
*intro#

[text]
Seit phpVideoPro v0.5.1, existiert dieser Menpunkt fr jeden konfigurierten
Medientyp separat. Dieser Schritt war ntig, um den verschiedenen Features
Rechnung zu tragen, die jeweils nur fr einige der Medientypen verfgbar sind
(wie z.B. Regionalcodes fr DVDs, LongPlay fr Kassetten etc.), und die Felder
fr Features, die vom gerade bearbeiteten Medium nicht untersttzt werden,
auch gar nicht erst einzublenden.
[text]
ber diese Menpunkte lt sich nun ein neuer Eintrag in die Datenbank einfgen.
Die meisten Felder dieses Formulars erklren sich selbst, und so soll an dieser
Stelle nur auf die Punkte eingegangen werden, die aus meiner Sicht einer
Erklrung bedrfen:

[title]
*medianr#

[text]
Whrend der Medientyp nun bereits durch die Auswahl aus dem Men bekannt ist,
und die Nummer des physikalische Mediums durch den Prompt ermittelt wurde, ist
hier nun lediglich noch die "logische" Nummer des Films auf dem Medium zu
erfassen. Wie auch bereits bei dem erwhnten Prompt, wird auch hierfr die
hchste vergebene Nummer aus der Datenbank ermittelt und mitgeteilt (hier durch
den Button "*last_entry#"), und die Folgenummer als Vorschlag bereits
vorgegeben. In der Regel sollten diese Angaben stimmen; im Bedarfsfall knnen
sie freilich angepasst werden.
[text]
An dieser Stelle ein paar Worte zum Aufbau der *medianr#: Der erste
(maximal vierstellige) Teil dieser Nummer bezeichnet (in Verbindung mit dem
Medientyp) das Medium selbst (mit RVT 68 liee sich also eindeutig die
Videokassette Nummer 68 identifizieren), whrend der zweite (zweistellige) Teil
einen Film auf dem jeweiligen Medium meint. RVT 68-1 wre somit also Film Nummer
1 auf dem selbst bespielten Videoband Nummer 68, 68-2 der zweite u.s.w..
Natrlich kann theoretisch jeder hier sein eigenes Schema hinterlegen - nur
wird phpVideoPro dann nicht unbedingt so reagieren, wie man es vielleicht
erwartet :-) Wichtig ist dieses Modell z.B. bei der Ermittlung von freien
Bandstellen ber den Menpunkt <i><A HREF="{PHP_SELF}?topic=taperest_absolute">*taperest_absolute#</A></i>
(bzw. <i>*taperest_filtered#</i>), da dieses auf der MediaNummer aufbaut. Unntig
daher zu erwhnen, da diese Nummern eindeutig sein mssen - es ist nicht
mglich, die gleiche Kombination aus Medientyp und Mediennummer mehrfach zu
speichern. Wer die gleiche DVD also zweimal hat, mu ihr entweder zwei
verschiedene Nummern geben - oder den entsprechenden Vermerk im Kommentarfeld
unterbringen.

[title]
*disk_type# / *counter_start_stop#

[text]
Die Zhler-Einstellungen sind in erster Linie fr Besitzer lterer Videorekorder
interessant, welche noch nicht ber eine Indexfunktion verfgen (sie sind auch
nur fr Kassetten verfgbar): diese knnen hier die jeweiligen Zhlerstnde bei
Beginn bzw. Ende der Aufzeichnung eintragen. Da das Format der Eintragungen in
diesen Feldern jedoch nicht festgelegt ist (mit Ausnahme der Einschrnkung auf
maximal 10 Zeichen), kann es auch anderweitig benutzt werden (z.B. knnen auch
die jeweiligen Zeiten von Rekordern mit Echtzeitzhlwerk eingetragen werden).
[text]
Fr alle anderen Medien (DVD/VCD) kann an dieser Stelle der *disk_type#
eingetragen werden. Details dazu finden sich auf
<A HREF="{PHP_SELF}?topic=disktype_change">dieser Seite</A>.

[title]
*label#

[text]
Ist dieses Kstchen markiert, erscheinen Daten zu diesem Film auf dem Etikett
fr dieses Medium - andernfalls werden diese bei Erstellung des Etiketts
unterdrckt.

[title]
*region_code#

[text]
RegionalCodes sind ein DVD-spezifisches "Feature" (auf das wir auch liebend
gern verzichten wrden), daher taucht dieser Punkt auch nur fr DVDs auf (es
sei denn, jemand hat dieses "Feature" auch fr einen anderen Medien-Typen
freigeschaltet - siehe <i><a href="{PHP_SELF}?topic=admin_disktypes">*admin_disktypes#</a></i>).
Ist der Regionalcode der bearbeiteten DVD unbekannt, sollte hier einfach
keinerlei Auswahl getroffen werden: bei der Anzeige des Datensatzes erscheint
in diesem Fall der Hinweis "unbekannt". Fr RegionCode-freie DVDs ist lediglich
die "0" auszuwhlen, und fr alle anderen die entsprechende(n) Checkbox(en).

[title]
*commercials#

[text]
Dieses Feld ist ja eigentlich selbsterklrend: es dient der Angabe, ob die
Aufzeichnung von Werbeblcken unterbrochen wird ("*yes#"), ob dies nicht der
Fall ist ("*no#"), oder ob sie whrend der Aufnahme von Hand entfernt wurden
("*cut_off#"). Fr den Fall allgemeiner Unsicherheit gibt es auch noch die
Mglichkeit, "*unknown#" auszuwhlen.

[title]
*date_rec#

[text]
Das Datum ist in drei Felder aufgeteilt, deren Reihenfolge derzeit statisch auf
Tag-Monat-Jahr festgelegt ist. In einer spteren Version wird ggf. auch hierfr
das im Konfigurationsmen einstellbare Datumsformat Verwendung finden, um den
verschiedenen Lnderprferenzen Rechnung zu tragen.

[title]
*categories#

[text]
Die in der ersten Box ausgewhlte Kategorie wird als Hauptkategorie gewertet
und taucht in den Listen zusammen mit den wichtigsten Eckdaten des jeweiligen
Filmes auf. Unabhngig davon werden jedoch bei Suchen bzw. bei gesetzten
<A HREF="{PHP_SELF}?topic=set_filter">Filtern</A> auch die anderen beiden
(Unter-) Kategorien bercksichtigt.

[title]
*staff#

[text]
Etwas Achtsamkeit ist bei der Eingabe dieser Daten angebracht: das erste Feld
sollte den Namen, und das zweite den Vornamen enthalten. Auch hier kann
natrlich wieder jeder seinem Gusto frnen - was aber ggf. einige Funktionen
von phpVideoPro beeinflut. Auf der
<A HREF="http://www.qumran.org/homes/izzy/software/videopro-demo" TARGET="_blank">Demo-Site</A>
habe ich bereits einige Eintrge gesehen, die sowohl im Namen als auch im
Vornamen vollstndige Namen (also Vor- und Nachname) enthielten. Sucht man nun
aber nach einem bestimmten Darsteller, treten entsprechende Schwierigkeiten auf,
wie sich unschwer bei der Erstellung eines <A HREF="{PHP_SELF}?topic=set_filter">Filters</A>
feststellen lassen wird.

[text]
Zustzlich gibt es zu jedem Namen eine Checkbox "*in_list#", die wiederum mit
einem netten Feature verbunden ist: Bei der Anzeige von Personenlisten, wie
z.B. der <A HREF="{PHP_SELF}?topic=actors">Schauspielerliste</A>, werden nur
die Eintrge bercksichtigt, die hier ein "Hkchen" erhalten haben. Auf diese
Weise lt sich die Anzeige eines Schauspielers fr einen bestimmten Film
unterdrcken (wenn es einem z.B. peinlich ist, da Sascha Hehn auch in einem
70ger Jahre P*rn* der eigenen Sammlung mitgespielt hat, und nicht nur in der
Schwarzwaldklinik :)

[title]
*comments#

[text]
Hier knnen beliebige Kommentare zum Film erfasst werden. Einige spezielle Tags
werden zur Untersttzung angeboten: so lassen sich [url]URLs[/url] verlinkbar
machen (sie werden dann in einem separaten Browser-Fenster geffnet), sowie
[img]Grafiken[/img] auch [imgr]rechtsbndig[/imgr] einbinden. Um ein Bild zu
verlinken, knnen die Tags wie folgt verschachtelt werden:
[url][img]Bild-URL[/img][/url].
[text]
Desweiteren ist die Verwendung einiger "normaler" HTML Tags fr die Formatierung
erlaubt: dies sind B,I,U,CENTER sowie BLOCK,PRE,BR,P,HR und Listen. Alle anderen
Tags werden gnadenlos entfernt - dies dient dem Schutz der Site gegen
"bsartigen" HTML Code.

[eof]

