<? /* administration of categories */ ?>
<? /* $Id: backup_db.inc,v 1.6 2004/05/18 10:38:01 izzy Exp $ */ ?>

[title]
*preferences#

[text]
phpVideoPro bietet zwei verschiedene Backup-Typen: ein Backup der kompletten
Datenbank ("*backup_db_complete#") sowie ein Backup ausschlielich von fr die
Filme relevanten Daten, die vom Benutzer erfasst wurden (also Filmtitel,
Schauspieler, Regisseure, Kommentare etc.pp.). Datenbank-Strukturen werden bei
<b><i>keinem</i></b> der beiden Typen mit gesichert -- diese sind ohnehin in
den Installations-Skripten verankert.

[text]
Whrend das Komplett-Backup als reine SQL-Datei erstellt wird, erfolgt das
"Film-Backup" in einem eigenen internen Format von phpVideoPro. Auf diese
Weise soll u.a. erreicht werden, dass die Daten auch versions- und
datenbankbergreifend verwendbar sind. Es lt sich also somit auch eine
Migration der Daten zwischen MySQL und PostgreSQL realisieren.

[title]
Backup

[text]
Hierfr ist einfach der gewnschte Typ (s.o.) auszuwhlen. Optional ist noch
eine Kompression der Backup-Datei mglich, sofern die verwendete Installation
von PHP mit Untersttzung fr <code>gzip</code> kompiliert wurde (einfach
ausprobieren - schlimmsten Falles gibt es halt eine Fehlermeldung). Nach einem
"Klick" auf den mit "*button_backup#" beschrifteten Button dauert es je nach
Gre der Datenbank jetzt  ein Weilchen, bis der Browser zum Speichern der Datei
auffordert.

[title]
Restore (Filmdaten)

[text]
Hierfr ist die Sicherungsdatei in dem in der Datei <code>inc/config.inc</code>
angegebenen Verzeichnis abzulegen. Die Dateierweiterung ".pvp" muss beibehalten
werden. Darber hinaus muss sicher gestellt sein, dass der Webserver fr
selbige ber die ntige Leseberechtigung verfgt. Wird nun die Backup-Seite
geladen, sollte die Datei in der Auswahlliste erscheinen. Dort ist sie nun
zu selektieren, und anschlieend der Button "*button_restore#" zu bettigen.
Nach einer von der Gre des verwendeten Backups abhngigen Zeit sollte die
Seite automatisch neu geladen werden, und der (Mi-) Erfolg lt sich an der
Zeile direkt unterhalb der berschrift ablesen.

[text]
phpVideoPro erkennt beim Laden der Datei, ob diese komprimiert ist, und entpackt
sie gegebenenfalls. Die Checkbox "*clean_restore#" muss derzeit auf jeden Fall
angewhlt sein - andernfalls kommt es ziemlich schnell zu dem Fehler, dass eine
duplikate MediaNr auftritt.

[text]
Der Restore-Prozess erkennt auch automatisch neue Kategorien. D.h., wenn z.B.
ein Backup von Filmdaten aus einer anderen Datenbank, in der neue Kategorien
hinzugefgt wurden, importiert wird, werden diese in der aktuellen Datenbank
auch automatisch angelegt. Die Entscheidung, ob es sich um eine neue Kategorie
handelt, wird auf Basis des <i>*cat_internal_name#</i> getroffen (siehe
<i><A HREF="{PHP_SELF}?topic=admin_cats">*admin_cats#</A></i>) - daher sollte
sicher gestellt werden, dass dieser fr vorhandene Eintrge nicht gendert
wird. Wird eine neue Kategorie gefunden, so wird diese mit einer neuen ID und
dem gegebenen <i>*cat_internal_name#</i> in die Kategorien-Tabelle eingefgt.
Die ebenfalls im Datensatz gespeicherte bersetzung wird immer der
<i><b>Englischen</b></i> Sprache zugeordnet - dies ist kein Bug, sondern ein
Feature: Eine Englische bersetzung wird generell als "FallBack" bentigt,
damit jedem Benutzer - unabhngig von der von ihm gewhlten Sprache - eine
bersetzung zur Verfgung steht. Natrlich knnen diese bersetzungen spter
unter Zuhilfenahme des Translation Editors (siehe <i><A HREF="{PHP_SELF}?topic=admin_translations">*admin_translations#</A></i>;
zu finden im Administrations-Men) bearbeitet werden.

[title]
Restore (komplett)

[text]
Dafr gibt es mindestens zwei Mglichkeiten. Auf jeden Fall ist fr das Restore
eines Komplett-Backups ("*backup_db_complete#") zunchst eine neue (leere)
Datenbank anzulegen, in welcher die Tabellen dann erstellt und gefllt werden.
Anschlieend kann dann ein beliebiges FrontEnd fr die Zieldatenbank (z.B.
phpMyAdmin) verwendet werden, um das Script in dieser Zieldatenbank auszufhren.
Oder aber, wem das lieber ist: auch phpVideoPro selbst kann dafr benutzt werden.

[text]
In letzterem Falle ist das Script im setup/ Verzeichnis unter dem Namen
"restore.sql" abzulegen. Abschlieend ist zu verfahren, wie bei jeder
Neuinstallation von phpVideoPro - nur anstelle von "create" ist halt "restore"
zu whlen.

[title]
Warum gibt es denn keinen Menpunkt fr die Wiederherstellung?

[text]
Diese Frage lt sich einfach beantworten: er macht keinen Sinn. Ist die
Datenbank intakt, wird er nicht bentigt. Und ist sie nicht mehr intakt,
startet phpVideoPro nicht mehr richtig - und das Men ist gar nicht da, kann
also auch nicht benutzt werden...

[eof]
