# /* How to create a help file */
# /* $Id: howto_help.inc,v 1.2 2002/11/10 14:25:20 izzy Exp $ */

[title]
Wie erstelle ich meine eigenen Hilfe-Seiten?

[text]
Das ist die einfachste der "Wie erstelle ich..." Sachen - insbesondere, nachdem
mit v0.1.7 auch das Hilfesystem templatebasiert ist. Jetzt sind fr diesen
Punkt weder PHP noch HTML Kenntnisse erforderlich - auch wenn man selbige bei
Bedarf einsetzen <b>kann</b>. Die zu bearbeitenden/erstellenden Dateien sind
reine Textdateien, die HTML/Makro Code enthalten <b>knnen</b>, aber nicht
mssen:
[text]
<OL>
 <LI>Im "/help" Verzeichnis findet sich die Datei "help_topics.php". Das
     Format dieser Datei ist recht einfach: "headline(thema)" steht fr eine
     berschrift mit dem Namen "thema", "li(thema)" fr einen "Punkt" namens
     "thema". Der optionale Wert hinter dem Thema steht fr die Anzahl der
     Einrckungen (Default: keine bei der berschrift, eine bei einem "Punkt").
     Existiert eine Datei "help/*/thema.inc" (wobei der "*" fr die verwendete
     Sprache bzw. fr "en" als Default steht), wird der "Punkt" als Link
     gesetzt und mit dieser verbunden.<br>
     Unschwer zu erraten: diese Datei erstellt den Hilfe-Index.
 <LI>Ist fr die gewnschte Zielsprache noch keine einzige Hilfedatei verfgbar,
     mu zunchst das Verzeichnis fr diese angelegt werden: "help/??", wobei
     "??" wiederum fr das Sprachkrzel steht (siehe
     "<A HREF="{PHP_SELF}?topic=howto_lang">*howto_lang#</A>").
 <LI>Jetzt kann in diesem Verzeichnis entweder eine neue Datei mit dem Namen
     thema.inc (also z.B. "lang/fi/about.inc" fr den Finnischen "About" Text)
     angelegt, oder die entsprechende Datei z.B. aus dem Englischen Verzeichnis
     kopiert und bearbeitet werden. Das Format der Hilfedateien ist unten im
     Detail erklrt.
 <LI>Das war's dann auch schon - phpVideoPro findet und benutzt diese Hilfedatei
     automatisch (entsprechende Spracheinstellungen im Men "*edit# -&gt;
     *configuration#" vorausgesetzt). Keine Panik, wenn nicht alle Hilfedateien
     fr eine Sprache zur Verfgung stehen - in diesem Fall wird per Default
     auf die Englische Version zurckgegriffen.
</OL>

[title]
Dateiformat
[text]
Die wichtigsten das Format betreffenden Dinge sind sehr einfach. Es gibt vier
verschiedene Formatierungen:
[text]
<ul>
 <li><b>[Tags]</b>: dies sind die einzigen Formatierungen, die in einer
     Hilfedatei vorhanden sein mssen. Um vom Parser erkannt zu werden, mu ein
     Tag allein auf einer Zeile stehen - wobei Leerzeichen davor und dahinter
     ignoriert werden. eine Liste der Tags folgt weiter unten.
 <li><b>&#123;Variablen&#125;</b>: Optionale Platzhalter, die durch globale
     Variablen von phpVideoPro ersetzt werden. Ein Beispiel: &#123;version&#125;
     wird durch die aktuelle Version (hier: {version}) ersetzt.
 <li><b>&#042;Translators#</b>: bersetzen einen Begriff mittels des
     bersetzungsmoduls von phpVideoPro. Entsprechende bersetzungen mssen
     natrlich vorhanden sein; Leerzeichen in den zu bersetzenden Begriffen
     sind nicht erlaubt.
</ul>

[title]
Tags
[text]
Hiervon gibt es nur drei:
<ul>
 <li><b>[title]</b> bezeichnet eine berschrift.
 <li><b>[text]</b> startet einen Textblock - hier kommen alle Details zur
     vorhergehenden berschrift hinein. Es knnen einer berschrift mehrere
     Textblcke folgen, jeder einzelne stellt sozusagen einen Absatz dar.
 <li><b>[eof]</b> heit: hier ist die Datei zu Ende. Alles, was diesem Tag
     folgt, wird vom Parser ignoriert - ebenso wie alles, was dem ersten
     [title] Tag einer Hilfedatei voran geht.
</ul>
[text]
Sowohl in den berschriften wie auch in den Textblcken kann mit HTML Codes
gearbeitet werden (etwa um einen Begriff mit Fettdruck hervorzuheben, oder
eine Tabelle oder Liste einzufgen) - es mu aber nicht. Fr die Darstellung
des Textes in ansprechendem Format sorgt das zugeordnete Template.

[eof]
