# /* view entry */
# /* $Id: view_entry.inc,v 1.9 2003/07/01 14:33:48 izzy Exp $ */

[title]
Einleitung

[text]
In diesem Formular werden alle verfgbaren Informationen zum ausgewhlten
Datensatz angezeigt. Normalerweise sollte dies keiner Erklrung bedrfen, da
der Anwender diese Informationen zumeist selbst erfat hat und somit ihre
Bedeutung kennen sollte (ist dies nicht der Fall, hilft ein Blick auf
die Hilfeseite fr den Menpunkt "<A HREF="{PHP_SELF}?topic=add_entry">*add_entry#</A>"),
aber...

[title]
Durchstbern der Sammlung

[text]
Sicher kann man die virtuelle Videothek mit Hilfe des Formulares unter
"*view#" -&gt; "*start_page#" durchwandern. Aber in manchen Situationen wirkt
dieser Weg ein wenig umstndlich. Daher habe ich jeweils links und rechts vom
Filmtitel einen Button zum Blttern hinzu gefgt, der jeweils mit dem vorigen
bzw. nchsten Eintrag verlinkt ist. Sollte er einmal nicht verlinkt sein, dann
gibt es gerade keinen weiteren Eintrag in dieser Richtung.

[title]
Kopieren bzw. verschieben eines Eintrags, Anpassen der Lnge eines Mediums,
Disk-Typs bzw. Regional-Codes

[text]
Hin und wieder kann es ntig werden, einen Eintrag zu kopieren bzw. verschieben.
Dies ist z.B. der Fall, wenn mehrere Teile einer Serie erfasst werden (die nur
minimale Unterschiede in den Daten haben), oder ein bislang auf Kassette
vorhandener Film nun als DVD erworben wurde. Die dafr notwendige Funktion
versteckt sich hinter den Buttons "*mediatype#" und "*medianr#". Mehr darber
lt sich auf der Hilfeseite fr das Formular
"<A HREF="{PHP_SELF}?topic=media_change">*media_change#</A>" erfahren.
[text]
In gleicher Form lt sich das Formular zum Anpassen der Lnge eines Mediums
erreichen, indem auf den Button fr die Restzeit ("*Free#") geklickt wird.
Diese Funktion kann nicht nur ntig sein, wenn ein Eintrag auf ein anderes
Medium unterschiedlicher Lnge verschoben bzw. kopiert wird. Sie wird auch
gebraucht, wenn gerade ein Medientyp neu als "(wieder)beschreibbar" deklariert
wurde, der vorher nur "lesbar" war. In diesem Fall muss ggf. fr alle betroffenen
Medien auf diese Weise die Lnge erfasst werden.
[text]
Weitere gewnschte nderungen knnten den Disk-Typ (fr VCDs und DVDs) bzw. die
Regional-Codes (fr DVDs) betreffen. Hierzu ist die Mglichkeit analog zu obigem
auch wieder hinter Buttons versteckt - hinter welchen, hngt von den bisher zum
Medium erfassten Daten ab. Wurde noch kein Disk-Typ gesetzt, erreicht man die
entsprechende Seite ber die Zhler-Buttons (die dann anschlieend fr dieses
Medium nicht mehr auftauchen - machen ja eigentlich auch keinen Sinn fr alles
andere als Video-Kassetten), andernfalls ber den Button des gesetzten Disk-Typs.
Fr Regional-Codes ist die Seite hinter dem RegionCode Button verborgen, wobei
in diesem Fall auch der Disk-Typ gleich mit gesetzt wird - sofern das nicht
bereits geschehen ist.

[title]
IMDB Informationen

[text]
Ein nettes Gimmik ist meiner Meinung nach der Gedanke, nhere Informationen
ber einen Film, einen Schauspieler, Regisseur oder Komponisten mit nur einem
Mausklick verfgbar zu haben. Und so ffnet ein solcher Mausklick auf den Button
des entsprechenden Namens bzw. Vornamens (beide Buttons sind mit der gleichen
Funktion belegt) dann auch ein neues Fenster, in welchem die Informationen
ber Name, Vorname und "Rolle" (also Schauspieler, Regisseur bzw. Komponist)
an die "Internet Movie DataBase" (kurz: IMDB) weitergereicht wird. Sind diese
Informationen eindeutig (d.h. sie identifizieren genau eine Person in der
IMDB), erscheint sogleich die gewnschte Seite mit biografischen und
filmografischen Daten. Andernfalls werden von der IMDB Site nhere Informationen
abgefragt (im Normalfall heit dies: Anzeige einer Liste mglicher Namen, in
der man sodann auf den richtigen klicken mu).
[text]
Da es sich bei der IMDB um einen eigenstndigen Service (bzw. ein eigenstndiges
Produkt) handelt, hat phpVideoPro keinerlei Einflu auf die dort verfgbaren
Informationen. D.h., wir sind weder fr diese Informationen verantwortlich,
noch werden wir sie in irgendeiner Weise verndern :-) Wir dachten uns lediglich,
es wre nett, diese auf Mausklick mit verfgbar zu haben.

[title]
Druck von Etiketten

[text]
Die mit "*print_label#" bezeichnete Auswahl-Box ermglicht den Druck eines
Etiketts fr das ausgewhlte Medium. Es listet alle verfgbaren Vorlagen auf
und startet die Anzeige eines Etiketts fr das gesamte Medium (also eines,
welches Titel und Laufzeit aller auf dem Medium verfgbaren Filme enthlt).
Je nach Gre und Format eines Etikettes, ist die Anzahl der auf selbigem
verfgbaren Zeilen unterschiedlich: d.h. es knnen unter Umstnden nicht alle
Informationen untergebracht werden. Wie viele Zeilen verfgbar sind, ist in der
Konfigurationsdatei des jeweiligen Etikettes festgelegt (siehe
"<A HREF="{PHP_SELF}?topic=howto_label">*howto_label#</A>").

[text]
Um selbsterstellte Etikett-Vorlagen zu verwenden, sind diese einfach in das
Verzeichnis "labels/" zu kopieren. Eine ".config" Datei wird zwingend bentigt;
diese enthlt die notwendigen Angaben ber Gre und Position der einzelnen
Felder. Ist darber hinaus eine ".png" Datei gleichen Namens vorhanden, wird
diese dem Etikett zugrunde gelegt - andernfalls wird ein leeres (weies)
Etikett erstellt (und natrlich beschriftet). Details sind der Seite
<A HREF="{PHP_SELF}?topic=howto_label">*howto_label#</A> zu entnehmen.

[text]
Eine andere Mglichkeit zum Etiketten-Druck findet sich im Men "Drucken" als
"PS-Labels": hier knnen sogar selbstklebende (Zweckform-) Etiketten zum Einsatz
kommen. Nhere Informationen dazu an der <A HREF="{PHP_SELF}?topic=pslabel">betreffenden
Stelle</A>.

[eof]

